# Enum EncodedSolidusHandling

java.lang.Object
java.lang.Enum<EncodedSolidusHandling>
org.apache.tomcat.util.buf.EncodedSolidusHandling

All Implemented Interfaces:
  `Serializable, Comparable<EncodedSolidusHandling>, java.lang.constant.Constable`

public enum EncodedSolidusHandling extends Enum<EncodedSolidusHandling>
Enumerates the possible handling strategies for encoded solidus characters (%2F) in URI paths.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DECODE`
Decode the encoded solidus back to a forward slash character.
`PASS_THROUGH`
Pass the encoded solidus through without modification.
`REJECT`
Reject the request containing an encoded solidus.

## Method Summary

Modifier and Type
Method
Description
`static EncodedSolidusHandling`
`fromString(String from)`
Converts a string to the corresponding handling strategy.
`String`
`getValue()`
Returns the string value for this handling strategy.
`static EncodedSolidusHandling`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static EncodedSolidusHandling[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DECODE

public static final EncodedSolidusHandling DECODE
Decode the encoded solidus back to a forward slash character.

### REJECT

public static final EncodedSolidusHandling REJECT
Reject the request containing an encoded solidus.

### PASS_THROUGH

public static final EncodedSolidusHandling PASS_THROUGH
Pass the encoded solidus through without modification.

## Method Details

### values

public static EncodedSolidusHandling[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static EncodedSolidusHandling valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()
Returns the string value for this handling strategy.

Returns:
  the string value

### fromString

public static EncodedSolidusHandling fromString(String from)
Converts a string to the corresponding handling strategy.

Parameters:
  `from` - the string to convert
Returns:
  the matching handling strategy
Throws:
  `IllegalStateException` - if the string does not match any known strategy